Page MenuHomePhabricator

Make use of twemproxy
Closed, ResolvedPublic

Description

The beta cluster application servers are using a list of memcached box. Production uses a local memcached proxy on each of the application server known as twemproxy.

twemproxy is already installed on beta instances but we have to figure out its configuration as well as the MediaWiki configuration parameters.


Version: unspecified
Severity: enhancement

Details

Reference
bz62836

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:03 AM
bzimport set Reference to bz62836.
Reedy added a comment.Mar 19 2014, 9:27 PM

Config https://noc.wikimedia.org/conf/highlight.php?file=twemproxy-eqiad.yaml

modules/generic/files/upstart/twemproxy.conf

exec /usr/local/bin/nutcracker -m 65536 -a 127.0.0.1 -c "/usr/local/apache/common/wmf-config/twemproxy-$(cat /etc/wikimedia-site).yaml"

Just needs a bit more variance, and/or checking like getRealmSpecificFilename() in php

Sam would you take care of it ? twemproxy and our memcached setup are totally unknown to me :-/

Reedy: ping comment 2?

Change 129641 had a related patch set uploaded by Reedy:
WIP: Initial twemproxy configs for labs

https://gerrit.wikimedia.org/r/129641

Reedy added a comment.Apr 25 2014, 8:11 AM

Need variance for -labs, AND for hhvm... Using /etc/wikimedia-realm

For which multiversion/MWRealm.sh exists!

Though, I suspect it won't run 2 versions of twemproxy without some updates. To that extent, I wonder if we should just have it for

Change 129644 had a related patch set uploaded by Reedy:
Variable twemproxy config location

https://gerrit.wikimedia.org/r/129644

Change 129644 merged by Alexandros Kosiaris:
Vary twemproxy config location based on getRealmSpecificFilename()

https://gerrit.wikimedia.org/r/129644

Change 129641 merged by jenkins-bot:
Initial twemproxy configs for labs

https://gerrit.wikimedia.org/r/129641

Change 129663 had a related patch set uploaded by Reedy:
Vary twemproxy config location based on getRealmSpecificFilename() (take 2)

https://gerrit.wikimedia.org/r/129663

Change 129663 merged by Giuseppe Lavagetto:
Vary twemproxy config location based on getRealmSpecificFilename() (take 2)

https://gerrit.wikimedia.org/r/129663

Reedy added a comment.Apr 28 2014, 3:57 PM

Merged, deployed and tested...